//
//  MenuCell.m
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import "MenuCell.h"

#import "UIImageView+WebCache.h"
#import "ServerSettingsManager.h"



@implementation MenuCell

- (void)dealloc {
    [_buyButton release];
    [_goods release];
    [_lblName release];
    [_lblDescription release];
    [_lblPrice release];
    [_ivImage release];
    
    [super dealloc];
}



- (void)setGoods:(GoodsModel *)goods {
    [goods retain];
    [_goods release];
    _goods = goods;
    
    self.lblName.text = goods.name;
    self.lblDescription.text = goods.desc;
    self.lblPrice.text = [[ServerSettingsManager sharedInstance] stringForPrice:goods.price];
    
    if (goods.imageUrl)
        [self.ivImage setImageWithURL:goods.imageUrl];
}

@end
