//
//  OrderModel.h
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import "DataModel.h"



typedef enum {
    OrderStateAdded,
    OrderStateInitiated,
    OrderStateConfirmed,
    OrderStateFailed,
    OrderStateCancelled,
    OrderStateDelivered
} OrderState;



@interface OrderModel : DataModel

@property (nonatomic, readwrite, retain) NSString *phone;
@property (nonatomic, readwrite, assign) OrderState state;
@property (nonatomic, readwrite, assign) float amount;
@property (nonatomic, readwrite, retain) NSDate *date;
@property (nonatomic, readwrite, retain) NSString *address;

+ (NSString *)statusStringForState:(OrderState)state;
- (NSString *)statusString;

@end
