//
//  CartItem.m
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import "CartItem.h"



@implementation CartItem

- (instancetype)initWithGoods:(GoodsModel *)goods count:(NSUInteger)count {
    self = [super init];
    if (self) {
        self.goods = goods;
        self.count = count;
    }
    return self;
}



+ (instancetype)itemWithGoods:(GoodsModel *)goods count:(NSUInteger)count {
    return [[[self alloc] initWithGoods:goods count:count] autorelease];
}



- (void)dealloc {
    [_goods release];
    
    [super dealloc];
}

@end
