//
//  CartManager.h
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import <Foundation/Foundation.h>

#import "CartItem.h"


extern NSString * const kCartChangedNotification;



@interface CartManager : NSObject

+ (instancetype)sharedInstance;

- (void)addGoods:(GoodsModel *)goods count:(NSUInteger)count;
- (void)removeGoods:(GoodsModel *)goods count:(NSUInteger)count;
- (void)removeAllGoods:(GoodsModel *)goods;
- (void)clean;

- (NSString *)packedCartString;

- (NSArray *)getAllItems;

@end
