<?php

const kClientNumberTypeMobilePhone = 0;
const kClientNumberTypeWmid = 1;
const kClientNumberTypeEmail = 2;

const kOrderStateAdded = 0;
const kOrderStateInitiated = 1;
const kOrderStateConfirmed = 2;
const kOrderStateFailed = 3;
const kOrderStateCancelled = 4;
const kOrderStateDelivered = 5;

const kSignMethodMD5 = 1;
const kSignMethodSecretKey = 2;

$settings = array(
    'payeeWmid' => '000000000000', // WMID аккаунта, принимающего оплату
    'payeePurse' => '_000000000000', // Номер кошелька, на который будет производиться приём оплаты
    'description' => 'X20 test server', // Описание выставляемого при покупке счёта
    'signMethid' => kSignMethodSecretKey, // Способ подписи запросов к X20
    'secretKey' => 'secret_key', // Секретный ключ, получаемый при настройке кошелька для приёма платежей через X20 (настройка производится по адресу https://merchant.wmtransfer.com/conf/purses.asp)
    'language' => 'ru-RU', // Предпочитаемый язык диагностических сообщений, получаемых от X20
    'emulated' => 0, // Режим эмуляции запросов на сервере (0 - отключем; 1 - включен)
    'confirmationType' => 3, // Используемый тип подтверждения оплаты (3 - SMS). Полный перечень значений приведен в документации по адресу https://wiki.webmoney.ru/projects/webmoney/wiki/%D0%98%D0%BD%D1%82%D0%B5%D1%80%D1%84%D0%B5%D0%B9%D1%81_X20
    
    'currencyName' => 'руб.' // Название валюты для отображения в приложениях-клиентах
);

?>