//
//  ServerSettingsManager.h
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import <Foundation/Foundation.h>


typedef void (^ServerSettingsCallback)(NSError *error);



@interface ServerSettingsManager : NSObject

+ (instancetype)sharedInstance;

- (void)loadWithComplitionHandler:(ServerSettingsCallback)complitionHandler;


- (NSString *)stringForPrice:(float)price;

@property (nonatomic, readonly, assign) BOOL settingsLoaded;
@property (nonatomic, readonly, retain) NSString *currencyName;

@end
