//
//  ServiceRequestProtected.h
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import "ServiceRequest.h"


@protocol ServiceRequestProtected <NSObject>

- (void)callCallbackOnMainThread:(ServiceRequestCallback)callback;

@property (nonatomic, readwrite, retain) NSError *error;
@property (nonatomic, readwrite, retain) ServiceResponse *response;

@end




@interface ServiceRequest (Protected) <ServiceRequestProtected>
@end