//
//  InitialLoadingVC.m
//  AppPiza
//
//  Copyright (c) 2014 CJSC "Computing Forces"
//

#import "InitialLoadingVC.h"

#import "ServerSettingsManager.h"



@interface InitialLoadingVC ()

@end



@implementation InitialLoadingVC

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self loadServerSettings];
}



- (void)loadServerSettings {
    ServerSettingsManager *ssm = [ServerSettingsManager sharedInstance];
    
    [ssm loadWithComplitionHandler:^(NSError *error) {
        if (error) {
            [self performSelector:@selector(loadServerSettings) withObject:nil afterDelay:1.0];
        }
        else {
            UIViewController *rootVC = [[UIStoryboard storyboardWithName:@"Main" bundle:nil] instantiateViewControllerWithIdentifier:@"RootTabBarVC"];
            [UIApplication sharedApplication].keyWindow.rootViewController = rootVC;
        }
    }];
}

@end
